Subject: Structured Headers status

From: Mark Nottingham <[email-masked]>
Date: Wed, 21 Aug 2019 18:29:06 +1000

After the most recent draft[1] went out the door, I updated the tests[2], and then my implementation[3].

In doings so, I found a number of small issues. I've made some small editorial tweaks already[4], and have filed a few issues[5] to capture the rest. Of those, I think only #896 and maybe #895 need any WG attention.

As such, I think the spec is very nearly done, and ready for wider review, delta those small issues.  Currently, there are 1484 tests; I hope to add more in the coming weeks. I'd also love to get some more implementation diversity. 

Cheers,

1. https://tools.ietf.org/html/draft-ietf-httpbis-header-structure-12
2. https://github.com/httpwg/structured-header-tests
3. https://github.com/mnot/shhh
4. https://tools.ietf.org/rfcdiff?url1=https://tools.ietf.org/id/draft-ietf-httpbis-header-structure.txt&url2=https://httpwg.github.io/http-extensions/draft-ietf-httpbis-header-structure.txt
5. https://github.com/httpwg/http-extensions/issues?q=is%3Aissue+is%3Aopen+label%3Aheader-structure

--
Mark Nottingham   https://www.mnot.net/